# Account types (types.inc)

Types.inc is the interface to the account types. It provides information about the type alias names, descriptions and other things.

## Functions:

### General functions:

getAlias: This returns the alias name of a type. It is used to label buttons or fieldsets.
getDescription: Returns a description for the account type.

### Functions for list views:

getListClassName: Here you can specify your own class to handle the list view. This is needed to label the buttons in the list view.
getDefaultListAttributes: Returns the default setting for the displayed list attributes. It is used as default for the LAM configuration.
getListAttributeDescriptions: Returns a hash array which contains predefined, translated descriptions of LDAP attributes.